#!/usr/bin/env sh
# SPDX-License-Identifier: AGPL-3.0-or-later
# SPDX-FileCopyrightText: 2021-2024 JayVii <jayvii[AT]posteo[DOT]de>

# $1 - HTML Root
# $2 - prv/pub
# $3 - repo name

# Error out if not all options are given
if [ -z "$3" ]; then
    echo "Usage:
git_update_repo.sh \\
    \"/var/www/git.example.git\" \\
    \"pub\" \\
    \"stagit-scripts\"
    "
    exit 1;
fi

# Git-Repository
cd "${1}/${2}/${3}.git"

# make branch cloneable via http(s)
git update-server-info

